<?php
    // Set page title.
    $this->headTitle($this->translate('Upgrade VuFind'));

    // Set up breadcrumbs:
    $this->layout()->breadcrumbs = '<li><a href="' . $this->url('upgrade-home') . '">' . $this->transEsc('Upgrade') . '</a></li> <li class="active">' . $this->transEsc('Upgrade VuFind') . '</li>';
?>
<h2><?=$this->transEsc('Upgrade VuFind')?></h2>
<?=$this->flashmessages()?>

<p>Some of the items in your resource table appear to be missing metadata.  Adding this metadata may take some time,
but it will improve the user experience by allowing proper sorting of favorites and tagged records.</p>

<br>

<form method="post" action="<?=$this->url('upgrade-fixmetadata')?>">
  <input type="submit" name="submitButton" value="<?=$this->transEscAttr('fix_metadata') ?>."><br><br>
  <input type="submit" name="skip" value="<?=$this->transEscAttr('skip_fix_metadata') ?>." id="skip">
</form>
<?php
$confirmText = $this->transEsc('skip_confirm');
$script = <<<JS
    $('#skip').click(function(e) {
      return confirm('${confirmText}');
    });
    JS;
?>
<?=$this->inlineScript(\Laminas\View\Helper\HeadScript::SCRIPT, $script, 'SET');
